<app-header text="INSCRIPTION"></app-header>

<div>
  <form [formGroup]="inscriptionForm" class="form"  (ngSubmit)="onSubmitForm()">
    <mat-form-field>
      <input matInput placeholder="Nom" formControlName="nom" required>
    </mat-form-field>
    <mat-form-field>
      <input matInput placeholder="Prénom" formControlName="prenom" required>
    </mat-form-field>
    <mat-form-field>
      <input matInput placeholder="Pseudo" formControlName="pseudo" required>
    </mat-form-field>
    <mat-form-field>
      <input matInput placeholder="E-mail" formControlName="email" required>
    </mat-form-field>

<button mat-raised-button color="primary" type="submit" [disabled]="!inscriptionForm.valid">Valider</button>
  </form>
</div>

